# Configuration for alarms recipients

# netdata alarms have been categorized to allow different roles to receive
# alarms related to their work.
#
# This file defines the addresses for each role.
# This file is a BASH script itself.

###############################################################################
# external commands needed

# The full path to the sendmail command.
# If empty, the system $PATH will be searched for it.
sendmail=""

# The full path of the curl command.
# If empty, the system $PATH will be searched for it.
curl=""


###############################################################################
# sending emails

# note: multiple recipients can be given like this:
#              "admin1@example.com, admin2@example.com, ..."
# note it needs a comma!

# enable/disable sending emails
SEND_EMAIL="YES"

# if a role recipient is not configured, an email will be send to
DEFAULT_RECIPIENT_EMAIL="root"


###############################################################################
# sending pushover notifications (pushover.net)

# note: multiple recipients can be given like this:
#                  "USERTOKEN1 USERTOKEN2 USERTOKEN3 ..."

# enable/disable sending pushover notifications
SEND_PUSHOVER="YES"

# Login to pushover.com to get your pushover app token
# You need only one for all your netdata servers.
# Without it, netdata cannot send pushover notifications.
PUSHOVER_APP_TOKEN="{{ netdata_pushover_app_token|default('') }}"

# if a role recipient is not configured, a notification will be send to
# this pushover user token
DEFAULT_RECIPIENT_PUSHOVER="{{ netdata_pushover_user_token|default('') }}"


###############################################################################
# RECIPIENTS PER ROLE

# -----------------------------------------------------------------------------
# generic system alarms
# CPU, disks, entropy, etc

role_recipients_email[sysadmin]="${DEFAULT_RECIPIENT_EMAIL}"

role_recipients_pushover[sysadmin]="${DEFAULT_RECIPIENT_PUSHOVER}"


# -----------------------------------------------------------------------------
# DNS related alarms

role_recipients_email[domainadmin]="${DEFAULT_RECIPIENT_EMAIL}"

role_recipients_pushover[domainadmin]="${DEFAULT_RECIPIENT_PUSHOVER}"


# -----------------------------------------------------------------------------
# database servers alarms
# mysql, redis, memcached, etc

role_recipients_email[dba]="${DEFAULT_RECIPIENT_EMAIL}"

role_recipients_pushover[dba]="${DEFAULT_RECIPIENT_PUSHOVER}"


# -----------------------------------------------------------------------------
# web servers alarms
# apache, nginx, etc

role_recipients_email[webmaster]="${DEFAULT_RECIPIENT_EMAIL}"

role_recipients_pushover[webmaster]="${DEFAULT_RECIPIENT_PUSHOVER}"


# -----------------------------------------------------------------------------
# proxy servers alarms
# apache, nginx, etc

role_recipients_email[proxyadmin]="${DEFAULT_RECIPIENT_EMAIL}"

role_recipients_pushover[proxyadmin]="${DEFAULT_RECIPIENT_PUSHOVER}"

